Task Class Reference

Generic class to encapsulate various commands. More...

`#include <Task.h>`

Inheritance diagram for Task:

## Public Member Functions

virtual | ~Task ()
| Virtual destructor.
virtual void | run (Session *session, const std::string &argument)
| Main public function.
void | checkImage ()
| Check image.

## Static Public Member Functions

static Task * | factory (const std::string &type)
| Factory function.

## Protected Attributes

Timer | command_timer
| Timer for each task.
Session * | session
| Pointer to our session data.
std::string | argument
| Argument supplied to the task.

## Detailed Description

Generic class to encapsulate various commands.

## Member Function Documentation

## factory()

Task * Task::factory | ( | const std::string & | type | ) |

static

Factory function.

Parameters

  type | command type

## run()

virtual void Task::run | ( | Session * | session,
|  | const std::string & | argument )

inline virtual

Main public function.

Reimplemented in CMP, CNT, COL, CTW, CVT, DeepZoom, FIF, GAM, HEI, ICC, IIIF, INV, JTL, JTLS, LYR, MINMAX, OBJ, PFL, QLT, RGN, ROT, SDS, SHD, SPECTRA, TIL, WID, and Zoomify.

References argument, and session.

The documentation for this class was generated from the following file:

- Task.h